Home
last modified time | relevance | path

Searched refs:RUSTC (Results 1 – 7 of 7) sorted by relevance

/openbmc/linux/scripts/
H A Drust_is_available.sh66 if ! command -v "$RUSTC" >/dev/null; then
68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."
85 LC_ALL=C "$RUSTC" --version 2>/dev/null
89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"
102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"
114 echo >&2 "*** Rust compiler '$RUSTC' is too old."
122 echo >&2 "*** Rust compiler '$RUSTC' is too new. This may or may not work."
252 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
/openbmc/linux/rust/
H A DMakefile43 rustc_sysroot := $(shell $(RUSTC) $(rust_flags) --print sysroot)
44 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)
135 quiet_cmd_rustc_test_library = RUSTC TL $<
138 $(RUSTC) $(rust_common_flags) \
192 quiet_cmd_rustc_test = RUSTC T $<
195 $(RUSTC) --test $(rust_common_flags) \
245 RUSTC=$(objtree)/$(obj)/test/rustc_sysroot $(CARGO) $(cargo_quiet) \
395 quiet_cmd_rustc_library = $(if $(skip_clippy),RUSTC,$(RUSTC_OR_CLIPPY_QUIET)) L $@
398 $(if $(skip_clippy),$(RUSTC),$(RUSTC_OR_CLIPPY)) \
/openbmc/openbmc/poky/meta/classes-recipe/
H A Drust.bbclass9 RUSTC = "rustc"
H A Dmeson.bbclass57 rustc = d.getVar('RUSTC')
64 do_write_config[vardeps] += "CC CXX AR NM STRIP READELF OBJCOPY CFLAGS CXXFLAGS LDFLAGS RUSTC RUSTF…
/openbmc/linux/Documentation/kbuild/
H A Dkbuild.rst66 Additional options for $(RUSTC) when used to compile
71 Additional module specific options to use for $(RUSTC).
H A Dmakefiles.rst1154 $(RUSTC) compiler flags
1194 $(RUSTC) options specific for built-in
1200 Options for $(RUSTC) when building modules
1203 are used for $(RUSTC).
/openbmc/linux/init/
H A DKconfig1918 default $(shell,command -v $(RUSTC) >/dev/null 2>&1 && $(RUSTC) --version || echo n)